Browser Update Notice February 2014

Last Updated: 02/05/2014

Security Notice Level

SEVERE

Mozilla and Google have released updated versions of their respective browsers. These updates address vulnerabilities that may allow a remote attacker to execute arbitrary code, bypass intended access restrictions, cause a denial-of-service condition, or obtain sensitive information.

Affected Software

The IT Security office advises owners of the affected browsers to restart their browser or follow update instructions to facilitate updating.

  • Versions of Firefox prior to version 27
  • Versions of Google Chrome prior to version 32.0.1700.107

Security Bulletin Names

  • Security Advisories for Firefox – released February 4, 2014
  • Google Stable Channel Update – released February 3, 2013

Additional Information

Additional information about these vulnerabilities can be viewed at:

If you have any questions, please contact the IT Service Center at 303-735-4357 (or 5-HELP from an on-campus phone) or help@colorado.edu.